package cicaprojekt;

import java.io.IOException;

public class FieldDrawer extends ImagePanel implements Drawer {

    Field field;
    
    public FieldDrawer(Field f) throws IOException {
        super("Field.png");
        field = f;
        setVisible(false);
    }

    @Override
    public void draw() {
        setVisible(true);
    }
    
    @Override
    public int getX() {
        return field.getX();
    }
    
    @Override
    public int getY() {
        return field.getY();
    }

}
