package cicaprojekt;

import java.io.IOException;

public class WallDrawer extends ImagePanel implements Drawer {

    Wall wall;
 
    public WallDrawer(Wall w) throws IOException {
        super("Wall.png");
        wall = w;
        setVisible(false);
    }
 
    @Override
    public void draw() throws IOException {
        switch(wall.getStargate().getName()){
            case "Blue Stargate":
                changeImage("BlueStargate.png");
                break;
            case "Yellow Stargate":
                changeImage("YellowStargate.png");
                break;
            case "Red Stargate":
                changeImage("RedStargate.png");
                break;
            case "GreenStargate":
                changeImage("GreenStargate");
                break;
            default:
                changeImage("Wall.png");
                break;
        }
            
        setVisible(true);
        
    }

    @Override
    public int getX() {
        return wall.getX();
    }
    
    @Override
    public int getY() {
        return wall.getY();
    }
    
}
